Skip to main content
GET
/
v1
/
account
/
deposits
Get Deposits
curl --request GET \
  --url https://api.perpetuals.polymarket.com/v1/account/deposits \
  --header 'POLYMARKET-PROXY: <api-key>' \
  --header 'POLYMARKET-SECRET: <api-key>'
{
  "data": [
    {
      "hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
      "asset": "USDC",
      "amount": "100000000",
      "from": "0x1234567890abcdef1234567890abcdef12345678",
      "to": "0x1234567890abcdef1234567890abcdef12345678",
      "confirmations": 12,
      "required_confirmations": 12,
      "created_timestamp": 1767225600000,
      "confirmed_timestamp": 1767225600000
    }
  ],
  "more": true
}
Request Weight: 10

Authorizations

POLYMARKET-PROXY
string
header
required

Proxy address

POLYMARKET-SECRET
string
header
required

Correponding proxy secret

Query Parameters

deposit_status
enum<string>

Deposit status

Available options:
pending,
confirmed,
removed
hash
string
default:0x

On-chain transaction hash, "0x" if not yet mined

Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

start_timestamp
integer

Start timestamp in milliseconds

Example:

1767225600000

end_timestamp
integer

End timestamp in milliseconds

Example:

1767229200000

Response

Deposit history response.

data
object[]
required
more
boolean
required

More data available